<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use SimpleXMLElement;
use Helpers\Trad\Trad;
use Skeleton\Controller\Controller;
use Helpers\Outil\Outils;
use Helpers\Fichier\Fichier;
use Modules\API\APIInterne\OxaMobility\Outil\OutilExtension;

// phpcs:ignore
class PAGE_ReceptionController extends Controller
{
    public function init() : void
    {
        /** A deplacer dans absAPIcontroller plus tard car pas top */
        $trad = $this->getTranslationService();
        if ($trad instanceof Trad) {
            $trad->setLang($_SESSION['Session_Langue']);
        }
    }


    public function INITAction($body = [], $jwtPayload = [], $json = true)
    {
        $trad = $this->getTranslationService();

        //Page réception liste
        $return['Trads']['MLS_Titre_Reception_Liste']   = $trad->t('Commandes en attente de réception');
        $return['Trads']['MLS_Num_Commande']            = $trad->t('N° de commande');
        $return['Trads']['MLS_Commande']                = $trad->t('CDE');
        $return['Trads']['MLS_Fournisseur']             = $trad->t('Fournisseur');
        $return['Trads']['MLS_Livraison']               = $trad->t('Date de livraison');
        $return['Trads']['MLS_Montant']                 = $trad->t('Montant');
        $return['Trads']['MLS_BTN_Receptionner']        = $trad->t('Réceptionner');
        $return['Trads']['MLS_BTN_Affiner']             = $trad->t('Affiner');

        //Page filtrer
        $return['Trads']['MLS_Titre_Filtrer']           = $trad->t('Filtrer');
        $return['Trads']['MLS_Filtre_Soc']              = $trad->t('Société');
        $return['Trads']['MLS_Filtre_Attendu']          = $trad->t('Sélection des réceptions attendues');
        $return['Trads']['MLS_Filtre_SI']               = $trad->t('Section d\'imputation');
        $return['Trads']['MLS_Filtre_CDC']              = $trad->t('Code complémentaire');
        $return['Trads']['MLS_Filtre_SCA']              = $trad->t('Sous-compte d\'analyse');
        $return['Trads']['MLS_Filtre_CTR_E']            = $trad->t('Centre émetteur');
        $return['Trads']['MLS_Filtre_CTR_L']            = $trad->t('Centre de livraison');
        $return['Trads']['MLS_Filtre_Design']           = $trad->t('Dont la désignation contient') . $trad->colon();

        //Page réception détail
        $return['Trads']['MLS_Num_BL']                  = $trad->t('N° de BL');
        $return['Trads']['MLS_Date_Livraison']          = $trad->t('Date de livraison');
        $return['Trads']['MLS_Commentaire']             = $trad->t('Commentaire');
        $return['Trads']['MLS_BTN_Document']            = $trad->t('Document(s) rattaché(s)');
        $return['Trads']['MLS_BTN_Creer_Incident']      = $trad->t('Créer un incident');
        $return['Trads']['MLS_BTN_Modif_Incident']      = $trad->t('Modifier l\'incident');
        $return['Trads']['MLS_Ref']                     = $trad->t('Réf');
        $return['Trads']['MLS_Article ']                = $trad->t('Article');
        $return['Trads']['MLS_Livraison_Le']            = $trad->t('Livraison le') . $trad->colon();
        $return['Trads']['MLS_Reste_Livrer']            = $trad->t('Reste à livrer') . $trad->colon();
        $return['Trads']['MLS_Recu']                    = $trad->t('Reçue');
        $return['Trads']['MLS_Carac_Compl']             = $trad->t('Caractéristiques complémentaires');
        $return['Trads']['MLS_PU']                      = $trad->t('Prix unitaire') . $trad->colon();
        $return['Trads']['MLS_Ref_Four']                = $trad->t('Réf four') . $trad->colon();
        $return['Trads']['MLS_Ref_Fab']                 = $trad->t('Réf fab') . $trad->colon();
        $return['Trads']['MLS_Imputation']              = $trad->t('Imputations');
        $return['Trads']['MLS_SI']                      = $trad->t('SI') . $trad->colon();
        $return['Trads']['MLS_CDC']                     = $trad->t('CDC') . $trad->colon();
        $return['Trads']['MLS_SCA']                     = $trad->t('SCA') . $trad->colon();
        $return['Trads']['MLS_Creation_Valide ']        = $trad->t('La réception numéro %1 a été créée');
        $return['Trads']['MLS_Titre_Reception_Detail']  = $trad->t('Réception de la commande %1 du fournisseur %2 (%3)');

        //Page incident
        $return['Trads']['MLS_Titre_Incident_Creation'] = $trad->t('Création d\'incident sur la réception de la commande %1 du fournisseur %2 (%3)');
        $return['Trads']['MLS_Titre_Incident_Modif']    = $trad->t('Modification de l\'incident sur la réception de la commande %1 du fournisseur %2 (%3)');
        $return['Trads']['MLS_Type_Incident']           = $trad->t('Sélectionner le type d\'incident');
        $return['Trads']['MLS_Motif_Incident']          = $trad->t('Indiquer le motif de l\'incident');
        $return['Trads']['MLS_Commentaire_Incident']    = $trad->t('Vous pouvez indiquer un commentaire');
        $return['Trads']['MLS_BTN_Supprimer_Incident']  = $trad->t('Supprimer');
        $return['Trads']['MLS_Erreur_CC_Oblig']         = $trad->t('La caractéristique %1 est obligatoire.');
        $return['Trads']['MLS_Erreur_Quantite']         = $trad->t('Ligne %1 : le montant dépasse le montant restant à livrer et le montant de marge excédentaire.');
        $return['Trads']['MLS_NBL_Oblig']               = $trad->t('Le numéro de bon de livraison (NBL) est obligatoire, veuillez le renseigner.');
        $return['Trads']['MLS_Date_Oblig']              = $trad->t('La date de livraison est obligatoire, veuillez la renseigner.');
        $return['Trads']['MLS_Date_Incorrect']          = $trad->t('La date de livraison ne pas être supérieure à la date du jour.');
        $return['Trads']['MLS_Quantite_Incorrect']      = $trad->t('La quantité reçue est obligatoire.');

       
        return OutilExtension::checkExtension($body, $return, $json);
    }
}
